module.exports = {
  // lintOnSave: true, // 是否在保存的时候检查
  productionSourceMap: false, // 生产环境是否生成 sourceMap 文件
  // publicPath: process.env.VUE_APP_PUBLICPATH,
  css: {
    // extract: true, // 是否使用css分离插件 ExtractTextPlugin
    sourceMap: false, // 开启 CSS source maps
    loaderOptions: {}, // css预设器配置项
    // modules: false // 启用 CSS modules for all css / pre-processor files.
  },  
  //反向代理
  devServer: {
    // 环境配置
    open: false, //配置自动启动浏览器
    proxy: {
      '/api': {
        target: 'https://seex.inner.iouou.cn',
        pathRewrite: {
          '^/api': ''
        }
      }
    }
  },
  configureWebpack: config => {
  },
  pluginOptions: {
    // 第三方插件配置
    // ...
  },
  chainWebpack: config => {
    // 修复HMR
    config.resolve.symlinks(true);
    // 关闭预加载
    config.plugins.delete('prefetch')
   
  },
  lintOnSave: false // 关闭eslint代码检查
}